---
title: Create Collections
url: https://docs.vultr.com/products/compute/serverless-inference/vector-store/create-collections
description: Organize and manage related resources together for improved administration and access control.
publish_date: 2025-03-11T19:16:49.186994Z
last_updated: 2026-05-26T19:10:37.908811Z
---

# How to Create Vector Store Collections

A vector store is a structured repository for storing and retrieving high-dimensional vector embeddings. The collections within a vector store enable fast similarity searches, making them useful for Retrieval-Augmented Generation (RAG) and AI applications.

Follow this guide to create a vector store collection
on Vultr Serverless Inference using the Vultr API.

1. Send a `GET` request to the [**List Serverless Inference** endpoint](https://www.vultr.com/api/#tag/serverless-inference/operation/list-inference) and note the target inference subscription's ID.

    ```console
    $ curl "https://api.vultr.com/v2/inference" \
        -X GET \
        -H "Authorization: Bearer ${VULTR_API_KEY}"
    ```

1. Send a `GET` request to the [**Serverless Inference** endpoint](https://www.vultr.com/api/#tag/serverless-inference/operation/get-inference) and note the target inference subscription's API key.

    ```console
    $ curl "https://api.vultr.com/v2/inference/{inference-id}" \
        -X GET \
        -H "Authorization: Bearer ${VULTR_API_KEY}"
    ```

1. Send a `POST` request to the [**Create Collection** endpoint](https://api.vultrinference.com/#tag/Vector-Store/operation/create-vector-store) to create a vector store collection.

    ```console
    $ curl "https://api.vultrinference.com/v1/vector_store" \
        -X POST \
        -H "Authorization: Bearer ${INFERENCE_API_KEY}" \
        -H "Content-Type: application/json" \
        --data '{
            "name": "{collection-name}"
        }'
    ```

1. Send a `GET` request to the [**List Collections** endpoint](https://api.vultrinference.com/#tag/Vector-Store/operation/list-vector-stores) to list all the available vector store collections.

    ```console
    $ curl "https://api.vultrinference.com/v1/vector_store" \
        -X GET \
        -H "Authorization: Bearer ${INFERENCE_API_KEY}"
    ```
